/* Copyright (C) 2000-2002 Lavtech.com corp. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
*/

#ifndef UDM_SQLDBMS_H
#define UDM_SQLDBMS_H

char		*UdmDBEscStr(int DBType,char *to,const char *from,size_t len);
UDB_RES		*UdmSQLQuery(UDM_DB * db,const char * query);
size_t		UdmSQLNumRows(UDB_RES * res);
size_t		UdmSQLNumCols(UDB_RES * res);
const char	*UdmSQLValue(UDB_RES * res,size_t i,size_t j);
void		UdmSQLFree(UDB_RES*);
void		UdmSQLClose(UDM_DB *db);

#endif
